Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.analysis.plugin.filter.forward
Enum ListCollectionFilter.ListFullBehavior

    java.lang.Object
      java.lang.Enum<ListCollectionFilter.ListFullBehavior>
          kieker.analysis.plugin.filter.forward.ListCollectionFilter.ListFullBehavior

All Implemented Interfaces:
  Serializable, Comparable<ListCollectionFilter.ListFullBehavior>

Enclosing class:
  ListCollectionFilter<T>

    public static enum ListCollectionFilter.ListFullBehavior

extends Enum<ListCollectionFilter.ListFullBehavior>

An enum for all possible list full behaviors.

Since:
  1.8
Author:
  Jan Waller

Enum Constant Summary
`dropOldest` Drops the oldest entry.
`error` Throws a runtime exception.
`ignore` Ignores the given entry.

Method Summary
`static ListCollectionFilter.ListFullBehavior` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ListCollectionFilter.ListFullBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dropOldest

    public static final ListCollectionFilter.ListFullBehavior dropOldest

  Drops the oldest entry.

### ignore

    public static final ListCollectionFilter.ListFullBehavior ignore

  Ignores the given entry.

### error

    public static final ListCollectionFilter.ListFullBehavior error

  Throws a runtime exception.

Method Detail

### values

    public static ListCollectionFilter.ListFullBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ListCollectionFilter.ListFullBehavior c : ListCollectionFilter.ListFullBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ListCollectionFilter.ListFullBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net